Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5063 - raidtools do not inform user the they >must< use "persistent-superblock 1" in their raids
Summary: raidtools do not inform user the they >must< use "persistent-superblock 1" in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: raidtools
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-11 02:15 UTC by mrovner
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 18:12:28 UTC


Attachments (Terms of Use)

Description mrovner 1999-09-11 02:15:44 UTC
Since raidadd/raidrun have been replaced with raidstart
and raidstart lacks some of the functionality of starting
raid devices, the user must use "persistent-superblock 1"
for each raid device, or when the raid is stopped,
raidstart will not start it.

All the /etc/raidtab is fine, but without this option in
each raiddev stanze, if you raidstop the device, the
next time I try to raidstart it, I messages in
/var/log/messages of the type:

	kernel: (read) sdc1's sb offset: 8883840 [events: ea5fe76b]
	kernel: md: invalid raid superblock magic on sdc1
	kernel: md: sdc1 has invalid sb, not importing!
	kernel: could not import sdc1!
	kernel: autostart sdc1 failed!
	kernel: huh12?

Simply adding the persistant-superblock removes this
problem.  Without it, the first time you reboot, you lose
your raid.

It would be nice if this were documented as a "must do",
and if it were mentioned in all the sample raidtabs in
/usr/doc/raidtools-0.90, not just raid0.conf.sample in
that direcotory.

Comment 1 Erik Troan 2000-02-24 18:12:59 UTC
This is fixed now.


Note You need to log in before you can comment on or make changes to this bug.